> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/setup-docs/open-source-player-apps/xibo-for-windows-installation/windows-player-watchdog.md).

# Windows Player Watchdog

The Watchdog is an optional component which can be used to monitor the stability of the main application and restart it where necessary.

The Watchdog is installed into the same folder as the Windows Player during the Windows Player installation.

## Configuration file

Configuration is managed though a configuration file located in the watchdog installation folder.

The contents of the file is as below:

```
<?xml version="1.0" encoding="utf-8" ?>
<configuration>
    <configSections>
        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
            <section name="XiboClientWatchdog.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
        </sectionGroup>
    </configSections>
    <startup> 
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" />
    </startup>
    <applicationSettings>
        <XiboClientWatchdog.Properties.Settings>
            <setting name="ClientLibrary" serializeAs="String">
                <value>C:\Users\username\Documents\Xibo Library</value>
            </setting>
            <setting name="PollingInterval" serializeAs="String">
                <value>120</value>
            </setting>
            <setting name="Threshold" serializeAs="String">
                <value>300</value>
            </setting>
            <setting name="ProcessPath" serializeAs="String">
                <value>C:\Program Files\Xibo\XiboClient.exe</value>
            </setting>
            <setting name="LogFileName" serializeAs="String">
                <value>log.xml</value>
            </setting>
        </XiboClientWatchdog.Properties.Settings>
    </applicationSettings>
</configuration>
```

The important part of the above configuration file is the settings between the `<applicationSettings>` element.

### Client Library

The library location as configured in the Player.

### Polling Interval

How often the watchdog should check for application activity.

### Threshold

The threshold in seconds that the application has to be inactive before the watchdog will restart it.

### Process Path

The fully qualified pathname to the application EXE that should be monitored. This will be used to restart the application when it is detected as being inactive.

### Log File Name

This is the name of the log file as configured in the Player that is being monitored. Downtime events and restarts will be added to the end of the usual error log.

## Start with Windows

A short cut to the watchdog EXE should be created and added to the Windows start up program group in the Start Menu.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/setup-docs/open-source-player-apps/xibo-for-windows-installation/windows-player-watchdog.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
